Bug 616764 - snmpset cannot create new row in ipAddressTable
snmpset cannot create new row in ipAddressTable
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jan Safranek
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-21 07:42 EDT by Jan Safranek
Modified: 2014-05-05 05:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1184917 (view as bug list)
Environment:
Last Closed: 2011-05-19 10:13:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0729 normal SHIPPED_LIVE net-snmp bug fix update 2011-05-18 14:09:25 EDT

  None (edit)
Description Jan Safranek 2010-07-21 07:42:30 EDT
Description of problem:
Following command fails:
$ snmpset  localhost IP-MIB::ipAddressRowStatus.ipv4.4.10.34.25.162  integer  createAndGo IP-MIB::ipAddressIfIndex.ipv4.4.10.34.25.162 i 1 IP-MIB::ipAddressStatus.ipv4.4.10.34.25.162 i 1 IP-MIB::ipAddressStorageType.ipv4.4.10.34.25.162 i 2

Error in packet.
Reason: (genError) A general failure occured
Failed object: IP-MIB::ipAddressRowStatus.ipv4."10.34.25.162"

Version-Release number of selected component (if applicable):
net-snmp-5.5-14.fc13.x86_64

How reproducible:
always
  
Actual results:
Interface 'lo:1' with IP address 10.34.25.162 is created, but snmpset shows errors on output

Expected results:
Interface 'lo:1' with IP address 10.34.25.162 is created and no errors are shown.

Additional info:
patch is available at Net-SNMP list archive, https://sourceforge.net/mailarchive/forum.php?thread_name=20060920134935.35b36ed6%40dev.futz.org&forum_name=net-snmp-coders
Comment 4 errata-xmlrpc 2011-05-19 10:13:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0729.html

Note You need to log in before you can comment on or make changes to this bug.